import type { _INRelevanceProvider } from "./INRelevanceProvider.js";
import type { _NSDate } from "../Foundation/NSDate.js";
export declare class _INDateRelevanceProvider extends _INRelevanceProvider {
    static alloc(): _INDateRelevanceProvider;
    static new(): _INDateRelevanceProvider;
    init(): _INDateRelevanceProvider;
    /**
     * @abstract Initializes a date relevance provider with the specified relevant date interval.
     */
    initWithStartDate$endDate$(startDate: _NSDate, endDate: _NSDate | null): _INDateRelevanceProvider;
    /** @abstract The start date of the relevant time interval. */
    startDate(): _NSDate;
    /**
     * @abstract The end date of the relevant time interval. @note If @c endDate is @c nil, the relevant time interval will be assumed to represent a single point in time instead of a time interval.
     */
    endDate(): _NSDate | null;
}
